function [ quality, histo, histogramBinSize,topHistBorder ] = signalQuality( fullSkelet,N,sfreq )
    %signalQuality funkcja do oceny jakości kanału
    % Polega on na: wyrysowaniu rozkładu pełnych anotacji przed
    % removeOutliers dla danego kanału, a następnie znalezieniu maksimum
    % takiego rozkładu i sprawdzeniu, czy jest ono >0.5s (to gwarantuje, że
    % dobre odległości RR są w stanie wybić się ponad szumowe, czyli, że
    % kanał niesie rzeczywiście sensowną informację).
    % Drugie kryterium: jeśli pełnych anotacji jest <100 dla całego zapisu
    % to odrzucamy kanał (jeśli wykryć jest tak mało, to znaczy, że w tym
    % kanale naprawdę prawie nic nie ma).
    
    
    histogramBinSize = floor(sfreq/62);     % szerokość binu  histogramu RRów do oceny jakości kanału o szerokości 15 ms
    topHistBorder = 2*sfreq;                % górna granica histogramu = 2 s
    bottomHistBorder = sfreq/10;            % dolna granica histogramu = 100 ms
    minimalAnnotationsCount = N/sfreq/6;    % minimalnie 100 wykryć musi się znalezc w anotacjach
    minimalMaximumCount = N/sfreq/40;       % minimalna amplituda maksimum hist. to  15 wykryć 
    
    dispSkelet = diff(fullSkelet);                  % dispSelet - lista rrów do tworzenia histogramu 
    dispSkelet(dispSkelet > topHistBorder) = [];    %ograniczamy histogram z góry na 2 s (ni echcemy brać pod uwagę dziur
    dispSkelet(dispSkelet < bottomHistBorder) = []; %ograniczamy histogram z dołu na 100 ms (nie chcemy brać pod uwagę b.drobnych śmieci, - lokalny szum może ich naprodukować bardzo dużo
    sizeSkelet = size(dispSkelet,1);
    
    if(sizeSkelet > minimalAnnotationsCount)
        histo = histc(dispSkelet,1:histogramBinSize:topHistBorder);     %tworzymy tablicę z histogramem

        [skewSkeletHistMax,skewSkeletHistMaxIndex] =max(histo);         
        skewSkeletHistMaxIndex = skewSkeletHistMaxIndex*histogramBinSize;

        if(skewSkeletHistMaxIndex > 0.5*sfreq && skewSkeletHistMax > minimalMaximumCount)
            quality = 1;
        else
            quality = 0;                
        end    
    else
        quality = 0; 
        histo = 0;
    end


end

